<template>
  <v-row justify="center" align="center">
    <template v-if="!wallet">
      <v-row
        align="center"
        justify="center"
        class="container_wallet metamask ma-3"
        @click.prevent="loadWeb3Provider()"
      >
        <v-col cols="2" md="2" sm="2" class="py-0">
          <v-img
            :src="require('@/assets/images/logo_meta.png')"
            alt="metamask_wallet"
            width="35px"
          />
        </v-col>
        <v-col
          cols="10"
          md="10"
          sm="10"
          class="text-center text-wallet text-metamask"
        >
          <span>Inicia con METAMASK</span>
        </v-col>
      </v-row>
      <v-row
        align="center"
        justify="center"
        class="container_wallet coinbase ma-3"
        @click.prevent="loadCoinBase()"
      >
        <v-col cols="2" md="2" sm="2" class="py-0">
          <v-img
            :src="require('@/assets/images/logo_coinbase.png')"
            alt="coinbase_wallet"
            width="35px"
          />
        </v-col>
        <v-col
          cols="10"
          md="10"
          sm="10"
          class="text-center text-wallet text-coinbase"
        >
          <span>Inicia con COINBASE</span>
        </v-col>
      </v-row>
      <!-- <v-row
        align="center"
        justify="center"
        class="container_wallet uport ma-3"
        @click.prevent="uportSession('register')"
      >
        <v-col cols="2" md="2" sm="2" class="py-0">
          <v-img
            :src="require('@/assets/images/uport.svg')"
            alt="uport_wallet"
            width="35px"
          />
        </v-col>
        <v-col
          cols="10"
          md="10"
          sm="10"
          class="text-center text-wallet text-uport"
        >
          <span>Inicia con UPORT</span>
        </v-col>
      </v-row> -->
    </template>
    <v-snackbar
      v-model="snackbar.show"
      :top="true"
      :right="true"
      :timeout="snackbar.timeout"
      :color="snackbar.color"
      :multi-line="snackbar.mode === 'multi-line'"
      :vertical="snackbar.mode === 'vertical'"
    >
      {{ snackbar.text }}
      <v-btn
        icon
        class="float-right"
        justify="center"
        align="center"
        @click.native="snackbar.show = false"
      >
        <v-icon>mdi-close</v-icon>
      </v-btn>
    </v-snackbar>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'
import walletsMixins from '@/mixins/walletsMixins'

export default Vue.extend({
  name: 'Wallets',
  mixins: [walletsMixins],
  props: {
    hasWallet: {
      type: String,
      default: '',
    },
    fromProfile: {
      type: Boolean,
      default: false,
    },
    wallet: {
      type: String,
      default: null,
    },
    typew: {
      type: String,
      default: null,
    },
  },
  data() {
    return {
      snackbar: {
        show: false,
        color: '',
        mode: '',
        timeout: 600000,
        text: '',
        right: '',
        top: '',
      },
    }
  },
})
</script>

<style scoped>
.wallet-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.container_wallet {
  width: 100%;
  color: white;
  border-radius: 24px;
  cursor: pointer;
}
.metamask {
  background: #feba00;
}
.text-metamask {
  background: #fece01;
}
.coinbase {
  background: #6689f3;
}
.text-coinbase {
  background: #86a6f7;
}
.uport {
  background: #4844fe;
}
.text-uport {
  background: #6661ff;
}
.rem {
  background: #3172d1;
}
.text-rem {
  background: #3172b9;
}
.text-wallet {
  border-radius: 0px 24px 24px 0px;
}
.coinbase_wallet {
  padding: 2% 8%;
  width: 100%;
  border-radius: 15px;
  border: 2.2px solid #235bef;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}
.uport_wallet {
  padding: 2% 8%;
  width: 100%;
  border-radius: 15px;
  border: 2.2px solid #5952ff;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}
.detach_link {
  cursor: pointer;
  color: var(--v-primary-base);
}
</style>
